# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tiendapp_validator/version'

Gem::Specification.new do |spec|
  spec.name          = "tiendapp_validator"
  spec.version       = TiendappValidator::VERSION
  spec.authors       = ["nahif"]
  spec.email         = ["ifferreira@uc.cl"]
  spec.summary       = "Validates methods to TiendApp webpage"
  spec.description   = "Group of methods to validate syntax and structure of a TiendApp webpage"
  spec.homepage      = "http://www.tiendapp.cl"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "liquid", "~> 3.0", ">= 3.0.6"
  spec.add_runtime_dependency "i18n", "~> 0.7.0", ">= 0.7.0"

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
